Pterodactyldocs
Application users

Update user

Updates the user information

PATCH/api/application/users/{user}

Authorization

ApplicationToken
AuthorizationBearer <token>

Application API key (generated at /admin/api)

In: header

Path Parameters

user*integer

User ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/api/application/users/1" \  -H "Content-Type: application/json" \  -d '{    "email": "[email protected]",    "username": "exampleuser",    "first_name": "Example",    "last_name": "User",    "language": "en",    "password": "New Password"  }'
{  "object": "user",  "attributes": {    "id": 9,    "external_id": null,    "uuid": "dac03ece-fd51-4e4b-bd4f-a79e3b2794f9",    "username": "exampleuser",    "email": "[email protected]",    "first_name": "Example",    "last_name": "User",    "language": "en",    "root_admin": false,    "2fa": false,    "created_at": "2020-10-29T01:25:12+00:00",    "updated_at": "2020-10-29T01:28:29+00:00"  }}